Bug 120854 - [UPDATE] net/wackamole
Summary: [UPDATE] net/wackamole
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Felippe de Meirelles Motta
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-19 21:30 UTC by Felippe de Meirelles Motta
Modified: 2008-03-14 02:54 UTC (History)
0 users

See Also:


Attachments
file.diff (1.08 KB, patch)
2008-02-19 21:30 UTC, Felippe de Meirelles Motta
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felippe de Meirelles Motta 2008-02-19 21:30:04 UTC
- Updated to 2.1.4.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-02-19 21:32:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gabor

gabor@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-02-19 21:32:43 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Marcin Cieslak 2008-02-19 23:50:20 UTC
This patch is ok, please proceed! They have even updated version.h this
time. Thanks!

-- 
              << Marcin Cieslak // saper@system.pl >>
Comment 4 Marcin Cieslak 2008-02-20 01:25:27 UTC
I have updated the patch to fix some configure and compiler warnings.
Please note that "files" directory and 4 patch files have been added.

--Marcin

===> Updating from CVS
M Makefile
M distinfo
A files/patch-arpcache.c
A files/patch-configure
A files/patch-configure.in
A files/patch-defines.h
===> Generating patch
===> Viewing diff with more
Index: Makefile
===================================================================
RCS file: /usr/home/ncvs/ports/net/wackamole/Makefile,v
retrieving revision 1.1
diff -u -u -r1.1 Makefile
--- Makefile	4 Jun 2007 07:57:52 -0000	1.1
+++ Makefile	19 Feb 2008 23:41:49 -0000
@@ -6,7 +6,7 @@
 #

 PORTNAME=	wackamole
-PORTVERSION=	2.1.3
+PORTVERSION=	2.1.4
 CATEGORIES=	net
 MASTER_SITES=	http://mirrors.omniti.com/wackamole/

Index: distinfo
===================================================================
RCS file: /usr/home/ncvs/ports/net/wackamole/distinfo,v
retrieving revision 1.1
diff -u -u -r1.1 distinfo
--- distinfo	4 Jun 2007 07:57:52 -0000	1.1
+++ distinfo	19 Feb 2008 23:41:49 -0000
@@ -1,3 +1,3 @@
-MD5 (wackamole-2.1.3.tar.gz) = 25a2f9a664d534aa6e6d355144298cf8
-SHA256 (wackamole-2.1.3.tar.gz) =
c4c80640bd26710121be687e16422783bacac8bfee168004ce9d165dce21ef87
-SIZE (wackamole-2.1.3.tar.gz) = 180948
+MD5 (wackamole-2.1.4.tar.gz) = 00f80422fc7e199a85376cd4aba4bca0
+SHA256 (wackamole-2.1.4.tar.gz) =
ee22b581bc150eeb358ac1a1e53776121a249383c6a68319c148ea51b4668c73
+SIZE (wackamole-2.1.4.tar.gz) = 139767
Index: files/patch-arpcache.c
===================================================================
RCS file: files/patch-arpcache.c
diff -N files/patch-arpcache.c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-arpcache.c	20 Feb 2008 01:14:23 -0000
@@ -0,0 +1,11 @@
+--- arpcache.c.orig	2008-02-20 02:13:17.305266065 +0100
++++ arpcache.c	2008-02-20 02:13:51.612342348 +0100
+@@ -153,7 +153,7 @@
+     h = arpcache_private[count].mac;
+     wack_alarm(ARPING, "Adding: (private) %s
[%02x:%02x:%02x:%02x:%02x:%02x]",
+                inet_ntoa(sa->sin_addr),
+-               *(h++), *(h++), *(h++), *(h++), *(h++), *(h++));
++               h[0], h[1], h[2], h[3], h[4], h[5]);
+     count++;
+   }
+   arpcache_private[count].ip = 0;
Index: files/patch-configure
===================================================================
RCS file: files/patch-configure
diff -N files/patch-configure
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-configure	20 Feb 2008 01:15:03 -0000
@@ -0,0 +1,184 @@
+--- configure.orig	2008-02-20 01:24:29.249090291 +0100
++++ configure	2008-02-20 02:14:39.704453401 +0100
+@@ -6166,55 +6166,7 @@
+
+
+
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-for ac_header in features.h pcap.h net/ethernet.h netinet/if_ether.h
net/if_dl.h net/if.h net/if_types.h net/route.h sys/ioctl.h arpa/inet.h
assert.h errno.h grp.h limits.h sys/resource.h netdb.h netinet/in.h
netinet/tcp.h pwd.h signal.h stdarg.h stdint.h stdio.h stdlib.h string.h
ctype.h stropts.h sys/inttypes.h sys/ioctl.h sys/param.h sys/socket.h
sys/stat.h sys/time.h sys/timeb.h sys/types.h sys/wait.h sys/uio.h
sys/un.h sys/sysctl.h time.h unistd.h dlfcn.h strings.h sys/sockio.h
sys/dlpi.h net/bpf.h sys/filio.h syslog.h netinet/in_systm.h
netinet/ip.h termios.h fcntl.h
++for ac_header in sys/types.h sys/socket.h netinet/in.h netinet/in_systm.h
+ do
+ as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+ if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+@@ -6354,6 +6306,124 @@
+ done
+
+
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++
++for ac_header in features.h pcap.h net/ethernet.h netinet/if_ether.h
net/if_dl.h net/if.h net/if_types.h net/route.h sys/ioctl.h arpa/inet.h
assert.h errno.h grp.h limits.h sys/resource.h netdb.h netinet/tcp.h
pwd.h signal.h stdarg.h stdint.h stdio.h stdlib.h string.h ctype.h
stropts.h sys/inttypes.h sys/ioctl.h sys/param.h sys/stat.h sys/time.h
sys/timeb.h sys/wait.h sys/uio.h sys/un.h sys/sysctl.h time.h unistd.h
dlfcn.h strings.h sys/sockio.h sys/dlpi.h net/bpf.h sys/filio.h syslog.h
netinet/ip.h termios.h fcntl.h
++do
++as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
++{ echo "$as_me:$LINENO: checking for $ac_header" >&5
++echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
++if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++  cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++
++#ifdef HAVE_SYS_SOCKET_H
++#include <sys/socket.h>
++#endif
++#ifdef HAVE_SYS_TYPES_H
++#include <sys/types.h>
++#endif
++#ifdef HAVE_NETINET_IN_H
++#include <netinet/in.h>
++#endif
++#ifdef HAVE_NETINET_IN_SYSTM_H
++#include <netinet/in_systm.h>
++#endif HAVE_NETINET_IN_SYSTM_H
++
++
++#include <$ac_header>
++_ACEOF
++rm -f conftest.$ac_objext
++if { (ac_try="$ac_compile"
++case "(($ac_try" in
++  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++  *) ac_try_echo=$ac_try;;
++esac
++eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
++  (eval "$ac_compile") 2>conftest.er1
++  ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } && {
++	 test -z "$ac_c_werror_flag" ||
++	 test ! -s conftest.err
++       } && test -s conftest.$ac_objext; then
++  eval "$as_ac_Header=yes"
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++	eval "$as_ac_Header=no"
++fi
++
++rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
++fi
++ac_res=`eval echo '${'$as_ac_Header'}'`
++	       { echo "$as_me:$LINENO: result: $ac_res" >&5
++echo "${ECHO_T}$ac_res" >&6; }
++if test `eval echo '${'$as_ac_Header'}'` = yes; then
++  cat >>confdefs.h <<_ACEOF
++#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
++_ACEOF
++
++fi
++
++done
++
++
+ if test "${ac_cv_header_sp_h+set}" = set; then
+   { echo "$as_me:$LINENO: checking for sp.h" >&5
+ echo $ECHO_N "checking for sp.h... $ECHO_C" >&6; }
Index: files/patch-configure.in
===================================================================
RCS file: files/patch-configure.in
diff -N files/patch-configure.in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-configure.in	20 Feb 2008 01:15:39 -0000
@@ -0,0 +1,25 @@
+--- configure.in.orig	2008-02-20 01:24:22.215069448 +0100
++++ configure.in	2008-02-20 02:02:11.708537012 +0100
+@@ -237,7 +237,21 @@
+ AC_FUNC_STRFTIME
+
+ # Checks for header files.
+-AC_CHECK_HEADERS(features.h pcap.h net/ethernet.h netinet/if_ether.h
net/if_dl.h net/if.h net/if_types.h net/route.h sys/ioctl.h arpa/inet.h
assert.h errno.h grp.h limits.h sys/resource.h netdb.h netinet/in.h
netinet/tcp.h pwd.h signal.h stdarg.h stdint.h stdio.h stdlib.h string.h
ctype.h stropts.h sys/inttypes.h sys/ioctl.h sys/param.h sys/socket.h
sys/stat.h sys/time.h sys/timeb.h sys/types.h sys/wait.h sys/uio.h
sys/un.h sys/sysctl.h time.h unistd.h dlfcn.h strings.h sys/sockio.h
sys/dlpi.h net/bpf.h sys/filio.h syslog.h netinet/in_systm.h
netinet/ip.h termios.h fcntl.h)
++AC_CHECK_HEADERS(sys/types.h sys/socket.h netinet/in.h netinet/in_systm.h)
++AC_CHECK_HEADERS(features.h pcap.h net/ethernet.h netinet/if_ether.h
net/if_dl.h net/if.h net/if_types.h net/route.h sys/ioctl.h arpa/inet.h
assert.h errno.h grp.h limits.h sys/resource.h netdb.h netinet/tcp.h
pwd.h signal.h stdarg.h stdint.h stdio.h stdlib.h string.h ctype.h
stropts.h sys/inttypes.h sys/ioctl.h sys/param.h sys/stat.h sys/time.h
sys/timeb.h sys/wait.h sys/uio.h sys/un.h sys/sysctl.h time.h unistd.h
dlfcn.h strings.h sys/sockio.h sys/dlpi.h net/bpf.h sys/filio.h syslog.h
netinet/ip.h termios.h fcntl.h, [], [], [
++#ifdef HAVE_SYS_SOCKET_H
++#include <sys/socket.h>
++#endif
++#ifdef HAVE_SYS_TYPES_H
++#include <sys/types.h>
++#endif
++#ifdef HAVE_NETINET_IN_H
++#include <netinet/in.h>
++#endif
++#ifdef HAVE_NETINET_IN_SYSTM_H
++#include <netinet/in_systm.h>
++#endif HAVE_NETINET_IN_SYSTM_H
++])
+
+ AC_CHECK_HEADER(sp.h,
+         [
Index: files/patch-defines.h
===================================================================
RCS file: files/patch-defines.h
diff -N files/patch-defines.h
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-defines.h	20 Feb 2008 01:15:25 -0000
@@ -0,0 +1,12 @@
+--- defines.h.orig	2005-03-30 21:56:58.000000000 +0200
++++ defines.h	2008-02-20 01:49:10.549307619 +0100
+@@ -134,6 +134,9 @@
+ #ifdef HAVE_SP_H
+ #include <sp.h>
+ #endif
++#ifdef HAVE_STRING_H
++#include <string.h>
++#endif
+
+ #ifdef HAVE_UNISTD_H
+ #include <unistd.h>
===> Done
Comment 5 Edwin Groothuis freebsd_committer 2008-02-20 02:02:37 UTC
State Changed
From-To: feedback->open

maintainer approved
Comment 6 Gabor Kovesdan freebsd_committer 2008-02-20 13:21:10 UTC
State Changed
From-To: open->feedback

Marcin, the patch has got corrupted during the submission and I could not 
recover it by editing. Could you please upload the patch to some kind of site, 
so that I can grab it? 
Thanks, 
Gabor
Comment 7 Marcin Cieslak 2008-02-24 06:14:15 UTC
Here you are:

http://akson.sgh.waw.pl/~saper/FreeBSD/ports/wackamole/wackamole.diff

-- 
              << Marcin Cieslak // saper@system.pl >>
Comment 8 gabor 2008-02-25 13:46:19 UTC
Marcin,
thanks for uploading the patch, this time I could apply it without 
problems, but unfortunately the patches in the files directory are not 
correct, they does not apply cleanly:
http://people.freebsd.org/~gabor/logs/wackamole-2.1.4.log

Could you please take a look? But apart from this, I think we don't 
really need to eliminate configure warnings if they don't do any real 
harm. Maybe it is not worth the efforts and we can just check the first 
version of the patch from Felippe. Please tell me your opinion.

Regards,
Gabor Kovesdan
Comment 9 Marcin Cieslak 2008-02-25 22:27:33 UTC
Hmm, strange it works for me:

radziecki% make distclean
===>  Cleaning for wackamole-2.1.4
===>  Deleting distfiles for wackamole-2.1.4
radziecki% make patch
=> wackamole-2.1.4.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch from http://mirrors.omniti.com/wackamole/.
wackamole-2.1.4.tar.gz                        100% of  136 kB  201 kBps
===>  Extracting for wackamole-2.1.4
=> MD5 Checksum OK for wackamole-2.1.4.tar.gz.
=> SHA256 Checksum OK for wackamole-2.1.4.tar.gz.
===>  Patching for wackamole-2.1.4
===>  Applying FreeBSD patches for wackamole-2.1.4
(done)

Those patches are kind of trivial. What was worrying me is that
configure was unable to find some important network-related include
files that determine sizes for some important structures. I have no
chance to test it on some other architecture, and, more importantly, how
it affects interoperability between, say sparc-based machine and an
Intel based one.

I have submitted the patches to Theo Schlossnagle so maybe we'll get rid
of them soon.

However if we don't get it building properly within the next 2 days or
so please feel free to commit as-is (just with version number bump).

-- 
              << Marcin Cieslak // saper@system.pl >>
Comment 10 Felippe de Meirelles Motta freebsd_committer 2008-03-08 04:46:42 UTC
Responsible Changed
From-To: gabor->lippe

Submitter is now Committer
Comment 11 dfilter service freebsd_committer 2008-03-14 02:33:41 UTC
lippe       2008-03-14 02:33:36 UTC

  FreeBSD ports repository

  Modified files:
    net/wackamole        Makefile distinfo 
  Log:
  - Update to 2.1.4.
  
  PR:             ports/120854
  Submitted by:   lippe (myself)
  Approved by:    gabor (mentor), maintainer timeout (> 2 weeks)
  
  Revision  Changes    Path
  1.2       +1 -1      ports/net/wackamole/Makefile
  1.2       +3 -3      ports/net/wackamole/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Felippe de Meirelles Motta freebsd_committer 2008-03-14 02:54:10 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!